class 'p01_l03_z04_cell'

function p01_l03_z04_cell:__init()
 self.object=nil
self.tween=nil
self.type=nil
self.objectComplete=nil
self.position=nil
self.start_angel=nil

end

function p01_l03_z04_cell:setObject(obj)
 self.object=obj
end
function p01_l03_z04_cell:getObject()
 return self.object
end

function p01_l03_z04_cell:setObjectComplete(obj)
 self.objectComplete=obj
end
function p01_l03_z04_cell:getObjectComplete()
 return self.objectComplete
end


function p01_l03_z04_cell:setStartPos(param)
 self.startPos=param
end
function p01_l03_z04_cell:getStartPos()
 return self.startPos
end

function p01_l03_z04_cell:setTween(param)
 self.tween=param
end
function p01_l03_z04_cell:getTween()
 return self.tween
end

function p01_l03_z04_cell:setType(param)
 self.type=param
end
function p01_l03_z04_cell:getType()
 return self.type
end

function p01_l03_z04_cell:setPosition(param)
 self.position=param
end
function p01_l03_z04_cell:getPosition()
 return self.position
end

function p01_l03_z04_cell:setStartAngel(param)
 self.start_angel=param
end
function p01_l03_z04_cell:getStartAngel()
 return self.start_angel
end

function p01_l03_z04_cell:set_positionObject()
 self.object.object:set_position(self.position,true)
end

function p01_l03_z04_cell:set_positionCompleteObject(shiftX,shiftY)
 self.objectComplete:set_position(Position(self.position:x()+shiftX,self.position:y()+shiftY),true)
end